Page MenuHome

Hair paths not rendering properly
Closed, ResolvedPublic

Description

System Information
Operating system: Mac Os 10.13.3
Graphics card: AMD Radeon R9 M370X 2 GB

Blender Version
Broken: 2.8 beta

When in "rendered" view in the viewport, I see hair strands as I've set them up to render. However, when I render them out using eevee, I just get a mess of lines-- it looks like bad glitch art. The lines are straight, with many corners, and too long. Am I doing something wrong?

Exact steps for others to reproduce the error
Make a sphere, make a particle system, add about 15k hair particles, add any material, render the scene.

Details

Type
Bug

Event Timeline

Jacques Lucke (JacquesLucke) triaged this task as Needs Information from User priority.Dec 3 2018, 2:01 PM

Please provide a .blend file and a screenshot to show what you mean. That makes it easier for us to reproduce the issue.

Hi Jacques,

Attached are screenshots of the issue and a .blend file. I've also noticed that the possible number of hair particles maxes out for me at 16, 833 hair particles. After that value, the sphere I have in the scene shows only one strand.

Philipp Oeser (lichtwerk) raised the priority of this task from Needs Information from User to Needs Triage by Developer.Jan 9 2019, 9:54 PM

needs to be looked at again (information is given)

Jacques Lucke (JacquesLucke) triaged this task as Needs Information from User priority.Jan 22 2019, 12:39 PM

Seems to work as expected in the newest Blender version.
@Gabe Weisbuch (gabeweisbuch), can you check if this is still broken?

Bastien Montagne (mont29) closed this task as Resolved.Mon, Mar 18, 5:22 PM
Bastien Montagne (mont29) claimed this task.

More than a week without reply or activity. Due to the policy of the tracker archiving for until required info/data are provided. Also checked provided file, and it works for me too.